/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockDeploymentService.java 16:39:45 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.mock;

import java.util.List;

import org.objectweb.petals.jbi.management.service.DeploymentService;
import org.objectweb.petals.jbi.management.service.util.XMLResult;

/**
 * @version	$Rev: 250 $ $Date: 2006-04-21 14:20:57 +0200 (ven, 21 avr 2006) $
 * @since	Petals 1.0
 * @author wjoseph - EBM Webousourcing
 *
 */
public class MockDeploymentService extends DeploymentService {

    @Override
    protected String createWarningMessage(XMLResult xmlResult, String exceptionMessage, List<String> exceptionParams, StringBuffer componentOuput) {
        return "warning";
    }
    
   

}
